base commit for travisCI auto testing
diff --git a/.travisCI/build-docker.sh b/.travisCI/build-docker.sh
new file mode 100644
index 0000000..9bd8fa1
--- /dev/null
+++ b/.travisCI/build-docker.sh
@@ -0,0 +1,21 @@
+# Copyright 2020 Efabless Corporation
+#
+# Licensed under the Apache License, Version 2.0 (the "License");
+# you may not use this file except in compliance with the License.
+# You may obtain a copy of the License at
+#
+# http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing, software
+# distributed under the License is distributed on an "AS IS" BASIS,
+# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+# See the License for the specific language governing permissions and
+# limitations under the License.
+
+# exit when any command fails
+set -e
+
+mkdir -p logs/docker
+echo "dir created"
+docker build --rm -t magic . | tee logs/docker/magic.build.txt
+